.rousselongeBtn-default .btn-wrapper {
    margin: auto;
    width: fit-content;
}

.rousselongeBtn-default .inner-btn {
    width: fit-content;
    max-width: 400px;
    padding: 50px 80px;
    text-align: center;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 3px;
    text-decoration: none !important;
    width: fit-content;

    transition: 0.3s ease;
    border-radius: 16px;
}

.rousselongeBtn-default .inner-btn svg {
    width: 50px;
    height: auto;
    margin-bottom: 10px;
}

.rousselongeBtn-default .inner-btn * {
    text-decoration: none;
    margin: 0;
}

.rousselongeBtn-default .inner-btn span {
    font-size: 1.8rem;
}

.rousselongeBtn-default .inner-btn:hover {
    background-color: var(--surface-hover);
    transform: translateY(-5px);
    box-shadow: 0px 6px 11px 0px rgba(0, 0, 0, 0.11);
}

@media (max-width: 500px) {
    .rousselongeBtn-default .inner-btn {
        width: 100%;
        padding: 50px 0px;
    }

    .block-rousselongeBtn {
        min-width: 100% !important;
        margin: 0 !important;
    }

    .rousselongeBtn-default .btn-wrapper {
        width: 100%;
    }

    .rousselongeBtn-default .inner-btn span {
        font-size: clamp(10px, 25px, 1.8rem);
    }
}